export function sleep(ms: number) {
  return new Promise((resolve) => setTimeout(resolve, ms));
}

export function handleAuthError(error: any): string {
  const code = error.code;
  switch (code) {
    case 'auth/email-already-in-use':
      return '이미 사용 중인 이메일입니다.';
    case 'auth/invalid-email':
      return '유효하지 않은 이메일 주소입니다.';
    case 'auth/user-not-found':
      return '해당 사용자를 찾을 수 없습니다.';
    case 'auth/wrong-password':
      return '비밀번호가 일치하지 않습니다.';
    case 'auth/weak-password':
      return '비밀번호는 최소 6자 이상이어야 합니다.';
    default:
      return '알 수 없는 오류가 발생했습니다.';
  }
}
